import { SimpleLocalIntegration } from '../../core/index.js';
import { LacrosseConfigFlow } from './lacrosse.classes.configflow.js';
import { createLacrosseDiscoveryDescriptor } from './lacrosse.discovery.js';
import type { ILacrosseConfig } from './lacrosse.types.js';
import { lacrosseDomain, lacrosseProfile } from './lacrosse.types.js';

export class LacrosseIntegration extends SimpleLocalIntegration<ILacrosseConfig> {
  public readonly domain = lacrosseDomain;
  public readonly discoveryDescriptor = createLacrosseDiscoveryDescriptor();
  public readonly configFlow = new LacrosseConfigFlow();

  constructor() {
    super(lacrosseProfile);
  }
}
